Subject: Re: [PATCH net 3/3] ice: Add set_termios tty operations handle to GNSS

From: Johan Hovold <[email-masked]>
Date: Thu, 1 Sep 2022 08:44:52 +0200

On Wed, Aug 31, 2022 at 02:54:39PM -0700, Jakub Kicinski wrote:
> On Mon, 29 Aug 2022 15:00:49 -0700 Tony Nguyen wrote:
> > From: Michal Michalik <[email-masked]>
> > 
> > Some third party tools (ex. ubxtool) try to change GNSS TTY parameters
> > (ex. speed). While being optional implementation, without set_termios
> > handle this operation fails and prevents those third party tools from
> > working. TTY interface in ice driver is virtual and doesn't need any change
> > on set_termios, so is left empty. Add this mock to support all Linux TTY
> > APIs.
> > 
> > Fixes: 43113ff73453 ("ice: add TTY for GNSS module for E810T device")
> > Signed-off-by: Michal Michalik <[email-masked]>
> > Tested-by: Gurucharan <[email-masked]> (A Contingent worker at Intel)
> > Signed-off-by: Tony Nguyen <[email-masked]>
> 
> Please CC GNSS and TTY maintainers on the patches relating to 
> the TTY/GNSS channel going forward.
> 
> CC: Greg, Jiri, Johan
> 
> We'll pull in a day or two if there are no objections.

Hmm. Why was this implemented as a roll-your-own tty driver instead of
using the GNSS subsystem, which also would have allowed for a smaller
(and likely less buggy) implementation?

Looks like this was merged in 5.18 with 43113ff73453 ("ice: add TTY for
GNSS module for E810T device") without any input from people familiar
with tty either.

Johan